> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.debbiecollect.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get interaction

> Get a single interaction by its id. Set `detailed=true` to include its notes, content and attachments.

**Required scope:** `read:interactions`



## OpenAPI

````yaml GET /v1/{tenantId}/interactions/{interactionId}
openapi: 3.1.0
info:
  title: Debbie API Docs
  description: >
    The Debbie API is a RESTful interface, allowing you to programmatically

    update, add and access your data in the platform. It provides predictable
    URLs

    for accessing resources, and uses built-in HTTP features to receive commands
    and

    return responses. This makes it easy to communicate with third party
    systems.


    ## Idempotency


    The Debbie API supports idempotency for non-idempotent requests through the
    optional `Idempotency-Key` header. 

    This ensures that retrying the same request multiple times will produce the
    same result, preventing duplicate operations.


    ### Using Idempotency Keys


    - Include an `Idempotency-Key` header with a unique string (we recommend
    UUIDs)  

    - Maximum key length is 64 characters

    - Keys are valid for 48 hours

    - Responses served from the idempotency cache include an
    `Idempotency-Cached` header


    ### Example

    ```http

    Idempotency-Key: 123e4567-e89b-12d3-a456-426614174000

    ```


    ### Error Cases

    - Invalid key format: 400 Bad Request

    - Reusing a key for a different request: 400 Bad Request


    ### Best Practices

    - Use a new key for each unique business transaction

    - Use the same key when retrying a failed request 

    - Store keys with request details for debugging
  contact:
    email: api-support@debbie.dk
  version: v0.1.0
servers:
  - url: https://api.debbiecollect.com
security:
  - bearerAuth: []
tags:
  - name: Authorization
    description: Endpoints for interacting with authorization
  - name: Cases
    description: Endpoints for interacting with cases
  - name: Customers
    description: Endpoints for interacting with customers
  - name: Creditors
    description: Endpoints for interacting with creditors
  - name: Contacts
    description: >-
      Endpoints for interacting with contacts. A contact is a third party the
      tenant communicates with or pays out to on behalf of a creditor — for
      example a locksmith hired during a collection case. Caseworkers pick
      contacts as email recipients on a case and as the recipient of a payout
      when creating a case voucher of a voucher type configured for it; only
      administrators manage them.
  - name: Ultimate creditors
    description: >-
      Endpoints for interacting with ultimate creditors. An ultimate creditor is
      the original creditor behind the creditor on a case — for example when a
      debt collection agency forwards cases on behalf of its own client. On
      cases with an ultimate creditor, the creditor template mentions (name,
      address and company identifier) use the details of the ultimate creditor.
  - name: Updates
    description: Endpoints for interacting with updates
  - name: Users
    description: Endpoints for interacting with updates
  - name: Files
    description: Endpoints for interacting with files
  - name: Case vouchers
    description: Endpoints for interacting with case vouchers
  - name: Voucher types
    description: The voucher types of the tenant, used to categorize case vouchers
  - name: Interactions
    description: >-
      Interactions are messages and notes on a case, for example an incoming
      message from a debtor.
  - name: Billing
    description: Endpoints for interacting with billing
  - name: Transaction accounts
    description: >-
      Endpoints for interacting with transaction accounts — the bank and payment
      service provider accounts that payments are registered on
  - name: Links
    description: Endpoints for generating links
  - name: Webhooks
    description: >-
      Debbie provides a range of webhooks. To try them out please visit Debbie
      Caseworker and navigate to Settings --> Developers --> Webhooks.
  - name: End reasons
    description: Endpoints for interacting with end reasons
  - name: Case groups
    description: Endpoints for interacting with case groups
  - name: Documents
    description: Endpoints for attaching documentation to a case or to a creditor
  - name: Case voucher allocations
    description: Apply creditor payments and credit notes to specific case vouchers.
externalDocs:
  description: Find out more about Debbie here
  url: https://debbiecollect.com
paths:
  /v1/{tenantId}/interactions/{interactionId}:
    get:
      tags:
        - Interactions
      summary: Get interaction
      description: >-
        Get a single interaction by its id. Set `detailed=true` to include its
        notes, content and attachments.


        **Required scope:** `read:interactions`
      operationId: get-interaction
      parameters:
        - in: path
          name: tenantId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the tenant
        - in: path
          name: interactionId
          schema:
            type: string
            format: uuid
          required: true
          description: Id of the interaction
        - in: query
          name: detailed
          schema:
            type: boolean
            default: false
          required: false
          description: Include the interaction's notes, content and attachments
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PublicInteraction'
                  - $ref: '#/components/schemas/DetailedPublicInteraction'
                description: DetailedPublicInteraction when detailed is true
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  schemas:
    PublicInteraction:
      type: object
      properties:
        interactionId:
          type: string
          format: uuid
          description: Id of the interaction
        type:
          type: string
          enum:
            - EBOKS
            - KIVRA
            - DIGIPOST
            - EMAIL
            - SMS
            - LETTER
            - PHONE
            - NOTE
            - PERSONAL
            - OTHER
            - CLIENT NOTE
            - DEBTOR NOTE
            - AUTO CALL
            - EINVOICE
          description: Channel of the interaction
        direction:
          type: string
          enum:
            - OUTGOING
            - INCOMING
        state:
          type: string
          enum:
            - UNMAPPED
            - MAPPED
            - HANDLED
            - PENDING
            - QUEUED
            - SENT
            - CANCELLED
          description: >-
            Incoming interactions go from UNMAPPED to MAPPED and HANDLED.
            Outgoing ones go from PENDING to QUEUED and SENT, or CANCELLED.
        referenceType:
          type:
            - string
            - 'null'
          enum:
            - case
            - creditor
            - null
          description: >-
            Type of the entity the interaction is journaled on. null for an
            incoming interaction that is not matched yet.
        referenceId:
          type:
            - string
            - 'null'
          format: uuid
          description: Id of the case or creditor the interaction is journaled on
        creditorId:
          type:
            - string
            - 'null'
          format: uuid
          description: Id of the creditor the interaction belongs to
        debtorId:
          type:
            - string
            - 'null'
          format: uuid
          description: Id of the debtor the interaction is with
        minVisibilityRole:
          type: string
          enum:
            - alternative-contact
            - debtor
            - client
            - caseworker
            - admin
            - super-admin
          description: >-
            Lowest role that may see the interaction. client means it is visible
            to the creditor, debtor that it is also visible to the debtor.
        transacted:
          type:
            - string
            - 'null'
          format: date-time
          description: When the interaction was sent or received
        templateId:
          type:
            - string
            - 'null'
          format: uuid
          description: Id of the template the interaction was generated from
        createdAt:
          type: string
          format: date-time
        createdBy:
          type:
            - object
            - 'null'
          description: Who created the interaction
          properties:
            id:
              type: string
              description: Id of the actor
            type:
              type: string
              description: Type of the actor
      required:
        - interactionId
        - type
        - direction
        - state
        - referenceType
        - referenceId
        - creditorId
        - debtorId
        - minVisibilityRole
        - transacted
        - templateId
        - createdAt
        - createdBy
      example:
        interactionId: 7d1e2f3a-4b5c-6d7e-8f9a-0b1c2d3e4f5a
        type: EMAIL
        direction: OUTGOING
        state: SENT
        referenceType: case
        referenceId: 601c0509-9b09-4e97-b380-2a67a1a08f66
        creditorId: 0f6c7a3e-6e4e-4f0c-9a2a-2f6cba3f9a11
        debtorId: null
        minVisibilityRole: client
        transacted: '2025-01-01T20:00:00.000Z'
        templateId: null
        createdAt: '2025-01-01T19:59:00.000Z'
        createdBy:
          id: b1a2c3d4-e5f6-7a8b-9c0d-1e2f3a4b5c6d
          type: USER
    DetailedPublicInteraction:
      allOf:
        - $ref: '#/components/schemas/PublicInteraction'
        - type: object
          properties:
            notes:
              type:
                - string
                - 'null'
              description: >-
                Sanitized HTML notes. Holds the message of NOTE, PERSONAL,
                OTHER, CLIENT NOTE and DEBTOR NOTE interactions.
            content:
              description: >-
                Content of the interaction's type. null for NOTE, PERSONAL,
                OTHER, CLIENT NOTE, DEBTOR NOTE and EINVOICE.
              oneOf:
                - $ref: '#/components/schemas/PublicEmailContent'
                - $ref: '#/components/schemas/PublicSmsContent'
                - $ref: '#/components/schemas/PublicLetterContent'
                - $ref: '#/components/schemas/PublicDigitalMailContent'
                - $ref: '#/components/schemas/PublicPhoneCallContent'
                - $ref: '#/components/schemas/PublicAutoCallContent'
                - type: 'null'
            attachments:
              type: array
              items:
                type: object
                properties:
                  fileId:
                    type: string
                    format: uuid
                  fileName:
                    type:
                      - string
                      - 'null'
                  contentType:
                    type: string
                required:
                  - fileId
                  - fileName
                  - contentType
          required:
            - notes
            - content
            - attachments
    PublicEmailContent:
      type: object
      description: Content of an EMAIL interaction
      properties:
        subject:
          type: string
        from:
          type: string
        to:
          type: string
        cc:
          type:
            - string
            - 'null'
          description: Carbon copy recipients
        bcc:
          type:
            - string
            - 'null'
          description: Blind carbon copy recipients
        replyTo:
          type:
            - string
            - 'null'
          description: Reply-To address
        text:
          type: string
          description: Plain-text body
        html:
          type:
            - string
            - 'null'
          description: Sanitized HTML body
      required:
        - subject
        - from
        - to
        - cc
        - bcc
        - replyTo
        - text
        - html
    PublicSmsContent:
      type: object
      description: Content of an SMS interaction
      properties:
        from:
          type: string
          description: Sender name or number
        to:
          type: object
          properties:
            countryCode:
              type: string
              description: Country calling code, e.g. 45
            number:
              type: string
          required:
            - countryCode
            - number
        text:
          type: string
      required:
        - from
        - to
        - text
    PublicLetterContent:
      type: object
      description: Content of a LETTER interaction
      properties:
        pdfFileId:
          type: string
          format: uuid
          description: Id of the letter's PDF file
        address:
          type:
            - object
            - 'null'
          description: Postal address the letter was sent to
          properties:
            address:
              type: string
            coAddress:
              type:
                - string
                - 'null'
            zipcode:
              type: string
            city:
              type: string
            country:
              type:
                - string
                - 'null'
          required:
            - address
            - coAddress
            - zipcode
            - city
            - country
        pageCount:
          type:
            - integer
            - 'null'
      required:
        - pdfFileId
        - address
        - pageCount
    PublicDigitalMailContent:
      type: object
      description: Content of an EBOKS, KIVRA or DIGIPOST interaction
      properties:
        title:
          type: string
        pdfFileId:
          type: string
          format: uuid
          description: Id of the document's PDF file
      required:
        - title
        - pdfFileId
    PublicPhoneCallContent:
      type: object
      description: Content of a PHONE interaction
      properties:
        phone:
          type:
            - object
            - 'null'
          properties:
            number:
              type: string
            locale:
              type: string
              description: Country of the number, e.g. DK
          required:
            - number
            - locale
      required:
        - phone
    PublicAutoCallContent:
      type: object
      description: Content of an AUTO CALL interaction
      properties:
        from:
          type: object
          properties:
            countryCode:
              type: string
              description: Country calling code, e.g. 45
            number:
              type: string
          required:
            - countryCode
            - number
        to:
          type: object
          properties:
            countryCode:
              type: string
              description: Country calling code, e.g. 45
            number:
              type: string
          required:
            - countryCode
            - number
        transcript:
          type: string
      required:
        - from
        - to
        - transcript
  responses:
    UnauthorizedError:
      description: Access token missing or invalid
    NotFoundError:
      description: The requested resource was not found
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authentication can be done by using a bearer token in the Authorization
        header. This is done using the following format `Authorization: Bearer
        {token}`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.